### Method

# Gsk GLShader get_n_uniforms

deprecated: 4.16

#### Declaration [src]

    int
    gsk_gl_shader_get_n_uniforms (
      GskGLShader* shader
    )

#### Description [src]

Get the number of declared uniforms for this shader.

Deprecated since: 4.16

GTK’s new Vulkan-focused rendering does not support this feature. Use GtkGLArea for OpenGL rendering.

#### Return value

Type: `int`

The number of declared uniforms.